OpenNMS API 1.2.9

## org.opennms.web.notification
Interface NoticeFactory.Filter

All Known Implementing Classes:
  NoticeFactory.InterfaceFilter, NoticeFactory.NodeFilter, NoticeFactory.ResponderFilter, NoticeFactory.ServiceFilter, NoticeFactory.UserFilter

Enclosing interface:
  NoticeFactory

public static interface NoticeFactory.Filter

Convenience class to determine what sort of notices to include in a query.

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getSql()`
`java.lang.String` `getTextDescription()`

Method Detail

### getSql

    public java.lang.String getSql()

### getDescription

    public java.lang.String getDescription()

### getTextDescription

    public java.lang.String getTextDescription()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.